package com.maplehaze.adsdk.demo.utils;

import com.maplehaze.adsdk.demo.Constants;

public class NativeUtil {

    public static String getNativeId(boolean is_16_9, boolean is_9_16, boolean is_20_3, boolean is_1_1) {
        if (is_16_9 && is_9_16 && is_20_3 && is_1_1) {
            return Constants.NATIVE_16_9_AND_9_16_AND_20_3_AND_1_1_POS_ID;
        } else if (is_16_9 && is_9_16 && is_20_3) {
            return Constants.NATIVE_16_9_AND_9_16_AND_20_3_POS_ID;
        } else if (is_16_9 && is_9_16 && is_1_1) {
            return Constants.NATIVE_16_9_AND_9_16_AND_1_1_POS_ID;
        } else if (is_9_16 && is_20_3 && is_1_1) {
            return Constants.NATIVE_9_16_AND_20_3_AND_1_1_POS_ID;
        } else if (is_16_9 && is_9_16) {
            return Constants.NATIVE_16_9_AND_9_16_POS_ID;
        } else if (is_16_9 && is_20_3) {
            return Constants.NATIVE_16_9_AND_20_3_POS_ID;
        } else if (is_16_9 && is_1_1) {
            return Constants.NATIVE_16_9_AND_1_1_POS_ID;
        } else if (is_9_16 && is_20_3) {
            return Constants.NATIVE_9_16_AND_20_3_POS_ID;
        } else if (is_9_16 && is_1_1) {
            return Constants.NATIVE_9_16_AND_1_1_POS_ID;
        } else if (is_20_3 && is_1_1) {
            return Constants.NATIVE_20_3_AND_1_1_POS_ID;
        } else if (is_16_9) {
            return Constants.NATIVE_16_9_POS_ID;
        } else if (is_20_3) {
            return Constants.NATIVE_20_3_POS_ID;
        } else if (is_1_1) {
            return Constants.NATIVE_1_1_POS_ID;
        } else if (is_9_16) {
            return Constants.NATIVE_9_16_POS_ID;
        } else {
            return Constants.NATIVE_16_9_POS_ID;
        }
    }
}
